506529 (2) [Avatar] Offline
#1
Section 1.0 still refers to Unity 5.5 in the LiveBook.

To start, go to www.unity3d.com to download the software. This book uses Unity 5.5 which is the latest version as of this writing.
jhocking (176) [Avatar] Offline
#2
Yeah, that's the version I used to write that section. I'm currently updating the entire book to Unity 2017!
506529 (2) [Avatar] Offline
#3
Right, which you told me on Reddit; it's part of the reason I bought the book. smilie

I was under the impression that chapters already added to the MEAP had been updated/edited. So are the 2017.x updates just not in place? So far I've been reading through but not following along in the IDE.
jhocking (176) [Avatar] Offline
#4
5.5 was the version that was out when I started writing the early chapters, so obviously I couldn't time travel into the future to download versions that didn't exist yet! Now that all of the 2nd edition chapters are up, I'm going through and tweaking everything for Unity 2017. Frankly the tweaks are pretty small (in some cases just updating the version number mentioned in the book!) since 5.5 is already practically the latest version.